"""
Copyright 2010, 2011  Leif Theden


This file is part of lib2d.

lib2d is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

lib2d is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with lib2d.  If not, see <http://www.gnu.org/licenses/>.
"""

# translate pygame imputs into game inputs
class MappedInput(object):
    def __init__(self, puppet, key_def):
        self.puppet = puppet
        self.key_def = key_def

    # return the state the fighter *would* change to
    def handle_key(self, key0, pressed):
        for key1, cmd in self.key_def.items():
            if key0 == key1:
                return self.puppet.handle_command(cmd, pressed)
        return False

    def play_key(self, key0, pressed):
        for key1, cmd in self.key_def.items():
            if key0 == key1:
                self.puppet.play_command(cmd, pressed)
